package com.mortals.xhx.excel;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * WriteExcelField
 *
 * @author liyiqi
 * @date 2019/4/26
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface WriteExcelField {

    String value();

    String ptn() default "";

    String[] select() default {};

    boolean writeUseSelect() default false;
}
